import { JsonAstObject } from '@angular-devkit/core';
import { Tree } from '@angular-devkit/schematics';
import { DeleteNodeDependency } from './dependencies';
export interface NodePackage {
    name: string;
    version: string;
}
export declare enum Configs {
    JsonIndentLevel = 4
}
export interface JestOptions {
    updateTests?: boolean;
    project?: string;
    config?: 'file' | 'packagejson' | string;
    overwrite?: boolean;
    __version__: number;
}
export declare function getAngularVersion(tree: Tree): number;
export declare function removePackageJsonDependency(tree: Tree, dependency: DeleteNodeDependency): void;
export declare function safeFileDelete(tree: Tree, path: string): boolean;
/**
 * Attempt to retrieve the latest package version from NPM
 * Return an optional "latest" version in case of error
 * @param packageName
 */
export declare function getLatestNodeVersion([packageName, ceiling]: string[]): Promise<NodePackage>;
export declare function parseJsonAtPath(tree: Tree, path: string): JsonAstObject;
